## shhmsg 1.3.3

=== Makefile ===
# $Id: Makefile,v 1.10 1997/05/27 21:11:06 sverrehu Exp $
DIST		= shhmsg
VERMAJ		= 1
VERMIN		= 3
VERPAT		= 3
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

# Define SHARED as 1 for Linux shared ELF library
#SHARED		= 1

ifeq ($(SHARED),1)
LIBTARGET	= lib$(DIST).so.$(VERSION)
LIBTARGETSO	= lib$(DIST).so
LIBTARGETSOMAJ	= $(LIBTARGETSO).$(VERMAJ)
CCSHRD		= -fPIC
else
LIBTARGET	= lib$(DIST).a
endif

LIBHEAD		= $(DIST).h
TARGETS		= $(LIBTARGET)

INSTBASEDIR	= /usr/local
INSTLIBDIR	= $(INSTBASEDIR)/lib
INSTINCDIR	= $(INSTBASEDIR)/include
INSTALL		= install -m 644
INSTALLPROG	= install -m 755
MKDIRP		= install -d -m 755

CC		= gcc
OPTIM		= -O2

INCDIR		= -I.

CCOPT		= -s -Wall $(OPTIM) $(INCDIR)

# Object files to store in the library
LIBOBJS		= vars.o streams.o progname.o \
		  errno.o error.o fatal.o message.o verbose.o


all: $(TARGETS)

$(LIBTARGET): $(LIBOBJS)
ifeq ($(SHARED),1)
	$(CC) -shared -Wl,-soname,$(LIBTARGETSOMAJ) -o $(LIBTARGET) $(LIBOBJS)
else
	ar rcs $(LIBTARGET) $(LIBOBJS)
endif

.c.o:
	$(CC) $(CCSHRD) -o $@ -c $(CCOPT) $<

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

install: $(LIBTARGET)
	$(MKDIRP) $(INSTLIBDIR) $(INSTINCDIR)
	$(INSTALL) $(LIBTARGET) $(INSTLIBDIR)
	$(INSTALL) $(LIBHEAD) $(INSTINCDIR)
ifeq ($(SHARED),1)
	ln -sf $(LIBTARGET) $(INSTLIBDIR)/$(LIBTARGETSOMAJ)
	ln -sf $(LIBTARGETSOMAJ) $(INSTLIBDIR)/$(LIBTARGETSO)
	echo "If you use GNU/Linux, remember to run ldconfig"
endif

clean:
	rm -f *.o core *~ depend

chmod:
	chmod a+r *

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL shhmsg.txt CREDITS ChangeLog \
		  Makefile $(LSMFILE) \
		  $(LIBHEAD) \
          	  internal.h \
          	  errno.c \
          	  error.c \
          	  fatal.c \
          	  message.c \
          	  progname.c \
		  streams.c \
		  vars.c \
          	  verbose.c

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

veryclean: clean
	rm -f $(TARGETS) $(DISTFILE) $(LSMFILE)

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

## shhmsg 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.10 1997/05/27 21:11:06 sverrehu Exp $
+# $Id: Makefile,v 1.11 1998/07/05 16:57:03 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
 VERMIN		= 3
-VERPAT		= 3
+VERPAT		= 4
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library

## shhmsg 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.11 1998/07/05 16:57:03 sverrehu Exp $
+# $Id: Makefile,v 1.12 2002/03/02 19:37:36 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
-VERMIN		= 3
-VERPAT		= 4
+VERMIN		= 4
+VERPAT		= 1
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
@@ -32,7 +32,7 @@
 
 INCDIR		= -I.
 
-CCOPT		= -s -Wall $(OPTIM) $(INCDIR)
+CCOPT		= -s -Wall $(OPTIM) $(INCDIR) -DHAVE_STRERROR
 
 # Object files to store in the library
 LIBOBJS		= vars.o streams.o progname.o \
@@ -61,7 +61,7 @@
 ifeq ($(SHARED),1)
 	ln -sf $(LIBTARGET) $(INSTLIBDIR)/$(LIBTARGETSOMAJ)
 	ln -sf $(LIBTARGETSOMAJ) $(INSTLIBDIR)/$(LIBTARGETSO)
-	echo "If you use GNU/Linux, remember to run ldconfig"
+	echo "Now run ldconfig if necessary."
 endif
 
 clean:
@@ -78,15 +78,15 @@
 DISTFILES	= README INSTALL shhmsg.txt CREDITS ChangeLog \
 		  Makefile $(LSMFILE) \
 		  $(LIBHEAD) \
-          	  internal.h \
-          	  errno.c \
-          	  error.c \
-          	  fatal.c \
-          	  message.c \
-          	  progname.c \
+		  internal.h \
+		  errno.c \
+		  error.c \
+		  fatal.c \
+		  message.c \
+		  progname.c \
 		  streams.c \
 		  vars.c \
-          	  verbose.c
+		  verbose.c
 
 $(LSMFILE): $(DIST).lsm.in
 	VER=$(VERSION); \

=== debian/changelog ===
shhmsg (1.4.1-5) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add debian/patches/01-makefile-buildflags to use CFLAGS and LDFLAGS as
    set by dpkg-buildflags.
  * Add 02-no-ftbfs-format-security to build properly with hardened security
    flags (-Werror=format-security).
  * debian/control:
    - Maintainer field set to QA Group.
    - Bump Standards-Version to 3.9.5.
    - Replace ${Source-Version} with ${binary:Version}.
    - Add ${misc:Depends} to dependencies.
    - Set libshhmsg1-dev's section to libdevel.
  * debian/rules:
    - Replace usage of dh_clean -k with dh_prep.
    - Call dh_makeshlibs before dh_installdeb.
    - Add build-{arch,indep}.
  * debian/libshhmsg1-dev.doc-base: remove Apps/ from doc-base section.
  * Debhelper compatibility level set to 9.
  * Remove empty maintainer script libshhmsg1-dev.prerm.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jan 2014 13:41:04 +0100

shhmsg (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359523,#359524).
  * Change the #DEBHELPER# instance in a comment in libshhmsg1-dev.postinst
    and libshhmsg1-dev.prerm, it was confusing debhelper (Closes: #315468).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 11:32:22 +0200

shhmsg (1.4.1-4) unstable; urgency=low

  * libshhmsg1-dev.postinst, libshhmsg1-dev.prerm: new files, use /bin/bash
    instead of /bin/sh as the interpreter because their #DEBHELPER# part
    uses 'command -v'

 -- Oohara Yuuma <oohara@debian.org>  Sun, 26 May 2002 15:54:47 +0900

shhmsg (1.4.1-3) unstable; urgency=low

  * Hi Junichi Uekawa!
  * shhmsg is renamed to libshhmsg1 and shhmsg-dev is renamed to
    libshhmsg1-dev because soname is the right thing (now the testing
    script is stopped, so there is no risk of breaking woody)
  * Makefile: added DEB_BUILD_OPTIONS "debug" and "nostrip" support

 -- Oohara Yuuma <oohara@debian.org>  Thu,  9 May 2002 19:47:53 +0900

shhmsg (1.4.1-2) unstable; urgency=low

  * Makefile: added -D_REENTRANT according to the Policy
  * debian/control: added the URL of the upstream webpage to Description:

 -- Oohara Yuuma <oohara@debian.org>  Wed, 24 Apr 2002 03:30:57 +0900

shhmsg (1.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated upstream information

 -- Oohara Yuuma <oohara@debian.org>  Fri,  8 Mar 2002 00:38:08 +0900

shhmsg (1.4.0-1) unstable; urgency=low

  * new upstream release (closes: #130421) (debian/copyright is already
    updated in 1.3.4-5)
  * progname.c: msgSetName() no longer initializes _msgErrorStream,
    _msgVerboseStream or _msgMessageStream because upstream vars.c takes
    care of them
  * stream.c: replaced _msg*Stream with GET_*_STREAM to fix the
    return value of msgSet*Stream (they must return the default
    stream when called first time)
  * internal.h: s/MSG_DEFAULT_MESSAGE_STREAM/MSG_DEFAULT_ERROR_STREAM/
    for GET_ERROR_STREAM
  * debian/copyright: updated the upstream website information

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 17:12:30 +0900

shhmsg (1.3.4-5) unstable; urgency=low

  * debian/control: changed the maintainer's email address
  * debian/copyright: updated the upstream webpage

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 04:58:25 +0900

shhmsg (1.3.4-4) unstable; urgency=low

  * debian/control: dropped the version condition from Depends: libc6-dev
    of shhmsg-dev because libc6-dev is a virtual package on some
    architectures (provided by libc6.1-dev on alpha and by libc0.2-dev
    on hurd) and versioned dependency requires a real package (yet another
    reason for a versioned Provides:) (closes: #133007)
  * debian/control: the short description now begins with a lower case
  * debian/shhmsg-dev.doc-base: new file, added for doc-base support
  * debian/rules: fixed typos in comments

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Sat,  9 Feb 2002 14:50:47 +0900

shhmsg (1.3.4-3) unstable; urgency=low

  * new maintainer
  * adopting an orphaned package (closes: #118143)
  * retrieved .orig.tar.gz from the potato archive
    (previous version was packaged incorrectly as a Debian navive package,
     the upstream has disappeared, and .orig.tar.gz has already been removed
     from unstable)
  * debian/rules: set the symlink "libshhmsg.so" to libshhmsg.so.1
    instead of libshhmsg.so.1.3.4
  * shhmsg-dev.dirs, shhmsg.dirs: new files, to use dh_installdirs
    more easily
  * shhmsg-dev.docs, shhmsg.docs: new files, installing more documents
  * debian/rules: set DH_COMPAT to 2, moved the build directory of
    shhmsg-dev (formerly shhmsg-dev) from debian/tmp to debian/shhmsg-dev
  * debian/control: added (>= 2) to Build-Depends: debhelper
  * debian/rules: dropped -s from install, let dh_strip do stripping
    (previous version incorrectly stripped *.a and broke it)
  * debian/rules: added the upstream changelog to dh_installchangelogs
  * debian/Makefile, debian/hello.c: new files, example source code
  * debian/shhmsg-dev.examples: new file, installing debian/hello.c
  * debian/rules: added dh_installexamples
  * debian/control: refined description
  * debian/control: added Depends: shhmsg (= ${Source-Version}) and
    libc6-dev (>= 2.2.4-7) to shhmsg-dev
  * debian/rules: added -V to dh_makeshlibs
  * Makefile: added -D_REENTRANT according to the Policy
  * debian/rules: run dh_shlibdeps and dh_gencontrol after dh_makeshlibs
    (dpkg-shlibdeps must wait for shlibs files in the build directory)

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Tue,  5 Feb 2002 15:35:45 +0900

shhmsg (1.3.4-2.2) unstable; urgency=low

  * Orphaned package.

 -- Jakob Borg <jakob@debian.org>  Sat,  3 Nov 2001 14:58:41 +0100

shhmsg (1.3.4-2.1) unstable; urgency=low

  * NMU
  * debian/control:
    - added build-dependency on debhelper
    - bumped Standards-Version (lintian-clean)
  * debian/rules:


=== debian/control ===
Source: shhmsg
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5

Package: libshhmsg1-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: ${misc:Depends}, libshhmsg1 (= ${binary:Version}), libc6-dev
Provides: libshhmsg-dev
Replaces: libshhmsg-dev, shhmsg-dev
Conflicts: libshhmsg-dev, shhmsg-dev
Description: library for displaying messages - development
 This is Sverre H. Huseby's library for displaying messages in
 terminal based programs.  It can treat the verbosity level
 and prepend the program name if necessary.
 .
 This package contains what you need for compiling sources that
 use this library and docs for using it in your own code.
 .
  Upstream webpage: http://shh.thathost.com/

Package: libshhmsg1
Architecture: any
Section: libs
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: shhmsg
Conflicts: shhmsg
Description: library for displaying messages - runtime
 This is Sverre H. Huseby's library for displaying messages in
 terminal based programs.  It can treat the verbosity level
 and prepend the program name if necessary.
 .
 This package contains what you need to run programs that use this library.
 .
  Upstream webpage: http://shh.thathost.com/

=== debian/rules ===
#!/usr/bin/make -f

# Uses debhelper. Based on example by Joey Hess.

CFLAGS="`dpkg-buildflags --get CFLAGS`"
LDFLAGS="`dpkg-buildflags --get LDFLAGS`"

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) clean
	SHARED=1 $(MAKE) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f lib*
	dh_clean libshhmsg.a

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# runtime (shhmsg)
	install libshhmsg.so.1.4.1 debian/libshhmsg1/usr/lib
	ln -s libshhmsg.so.1.4.1 \
  debian/libshhmsg1/usr/lib/libshhmsg.so.1

# dev (shhmsg-dev)
	install -m644 libshhmsg.a debian/libshhmsg1-dev/usr/lib
	install -m644 shhmsg.h debian/libshhmsg1-dev/usr/include
	ln -s libshhmsg.so.1 \
  debian/libshhmsg1-dev/usr/lib/libshhmsg.so

	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
# You must run dpkg-shlibdeps (dh_shlibdeps) after you installed
# shlibs files into the build directory (dh_makeshlibs).
# See the footnote of the Policy, section 9.2 for details.
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## shhmsg 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
-# $Id: Makefile,v 1.12 2002/03/02 19:37:36 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
 VERMIN		= 4
-VERPAT		= 1
+VERPAT		= 2
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
-#SHARED		= 1
+SHARED		= 0
 
 ifeq ($(SHARED),1)
 LIBTARGET	= lib$(DIST).so.$(VERSION)
@@ -32,7 +31,7 @@
 
 INCDIR		= -I.
 
-CCOPT		= -s -Wall $(OPTIM) $(INCDIR) -DHAVE_STRERROR
+CCOPT		= -s -Wall -Werror=format-security $(OPTIM) $(INCDIR) -DHAVE_STRERROR
 
 # Object files to store in the library
 LIBOBJS		= vars.o streams.o progname.o \

=== debian/changelog ===
shhmsg (1.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #911251)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Jan 2025 00:46:12 +0100

shhmsg (1.4.2-1) unstable; urgency=medium

  * New package maintainer (Closes: #554255).
  * New upstream relase.
  * Bump S-V to 3.9.6.
  * Lintian cleaning.
  * Drop 02-no-ftbfs-format-security patch. It is already included
    upstream.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sat, 01 Aug 2015 12:33:16 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: shhmsg
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Homepage: http://shh.thathost.com/
 
 Package: libshhmsg1-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: ${misc:Depends}, libshhmsg1 (= ${binary:Version}), libc6-dev
 Provides: libshhmsg-dev
 Replaces: libshhmsg-dev, shhmsg-dev
@@ -20,13 +20,10 @@
  .
  This package contains what you need for compiling sources that
  use this library and docs for using it in your own code.
- .
-  Upstream webpage: http://shh.thathost.com/
 
 Package: libshhmsg1
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: shhmsg
 Conflicts: shhmsg
@@ -36,5 +33,3 @@
  and prepend the program name if necessary.
  .
  This package contains what you need to run programs that use this library.
- .
-  Upstream webpage: http://shh.thathost.com/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
 # Uses debhelper. Based on example by Joey Hess.
-
-CFLAGS="`dpkg-buildflags --get CFLAGS`"
-LDFLAGS="`dpkg-buildflags --get LDFLAGS`"
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 build: build-arch build-indep
 
@@ -12,9 +13,9 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_build
 	$(MAKE) clean
-	SHARED=1 $(MAKE) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
+	SHARED=1 CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_build
 	touch build-stamp
 
 clean:
@@ -34,8 +35,8 @@
 	dh_installdirs
 
 # runtime (shhmsg)
-	install libshhmsg.so.1.4.1 debian/libshhmsg1/usr/lib
-	ln -s libshhmsg.so.1.4.1 \
+	install libshhmsg.so.1.4.2 debian/libshhmsg1/usr/lib
+	ln -s libshhmsg.so.1.4.2 \
   debian/libshhmsg1/usr/lib/libshhmsg.so.1
 
 # dev (shhmsg-dev)
